Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillChartPlot

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillChartPlot

All Implemented Interfaces:
  java.lang.Cloneable, JRChartPlot, JRCloneable

Direct Known Subclasses:
  JRFillAreaPlot, JRFillBar3DPlot, JRFillBarPlot, JRFillBubblePlot, JRFillCandlestickPlot, JRFillHighLowPlot, JRFillLinePlot, JRFillMeterPlot, JRFillMultiAxisPlot, JRFillPie3DPlot, JRFillPiePlot, JRFillScatterPlot, JRFillThermometerPlot, JRFillTimeSeriesPlot

    public class JRFillChartPlot

extends java.lang.Object
implements JRChartPlot

Version:
  $Id: JRFillChartPlot.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`protected JRChart` | `chart`
`protected JRChartPlot` | `parent`

Constructor Summary
`protected` | `JRFillChartPlot(JRChartPlot plot, JRFillObjectFactory factory)`

Method Summary
`void` | `addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)` Adds the specified series color to the plot.
`void` | `clearSeriesColors()` Removes all defined series colors.
`java.lang.Object` | `clone()`
`java.lang.Object` | `clone(JRChart parentChart)`
`void` | `collectExpressions(JRExpressionCollector collector)`
`java.awt.Color` | `getBackcolor()` Gets the chart background color.
`float` | `getBackgroundAlpha()` Deprecated. Replaced by `getBackgroundAlphaFloat()`
`java.lang.Float` | `getBackgroundAlphaFloat()` Gets the transparency factor for this plot background.
`JRChart` | `getChart()` Gets the chart associated with this chart plot, if available.
`float` | `getForegroundAlpha()` Deprecated. Replaced by `getForegroundAlphaFloat()`
`java.lang.Float` | `getForegroundAlphaFloat()` Gets the transparency factor for this plot foreground.
`double` | `getLabelRotation()` Deprecated. Replaced by `getLabelRotationDouble()`
`java.lang.Double` | `getLabelRotationDouble()` Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.
`org.jfree.chart.plot.PlotOrientation` | `getOrientation()` Gets the plot orientation (horizontal or vertical).
`java.awt.Color` | `getOwnBackcolor()`
`java.util.SortedSet` | `getSeriesColors()` Returns a list of all the defined series colors.
`void` | `setBackcolor(java.awt.Color backcolor)` Sets the chart background color.
`void` | `setBackgroundAlpha(float BackgroundAlpha)` Deprecated. Replaced by `setBackgroundAlpha(Float)`
`void` | `setBackgroundAlpha(java.lang.Float BackgroundAlpha)` Sets the transparency factor for this plot background.
`void` | `setForegroundAlpha(float foregroundAlpha)` Deprecated. Replaced by `setForegroundAlpha(Float)`
`void` | `setForegroundAlpha(java.lang.Float foregroundAlpha)` Sets the transparency factor for this plot foreground.
`void` | `setLabelRotation(double labelRotation)` Deprecated. Replaced by `setLabelRotation(Double)`
`void` | `setLabelRotation(java.lang.Double labelRotation)` Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.
`void` | `setOrientation(org.jfree.chart.plot.PlotOrientation orientation)` Sets the plot orientation (horizontal or vertical).
`void` | `setSeriesColors(java.util.Collection colors)` Set the list of series colors.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected JRChartPlot parent

### chart

    protected JRChart chart

Constructor Detail

### JRFillChartPlot

    protected JRFillChartPlot(JRChartPlot plot,
                              JRFillObjectFactory factory)

Method Detail

### getChart

    public JRChart getChart()

  Description copied from interface: `JRChartPlot`
  Gets the chart associated with this chart plot, if available. Implementations can return null on this method, especially if the chart plot is reused by multiple charts, which is not recommended since it prevents style properties inheritence from parent chart.

  Specified by:
    `getChart` in interface `JRChartPlot`

### getBackcolor

    public java.awt.Color getBackcolor()

  Description copied from interface: `JRChartPlot`
  Gets the chart background color.

  Specified by:
    `getBackcolor` in interface `JRChartPlot`

### getOwnBackcolor

    public java.awt.Color getOwnBackcolor()

  Specified by:
    `getOwnBackcolor` in interface `JRChartPlot`

### setBackcolor

    public void setBackcolor(java.awt.Color backcolor)

  Description copied from interface: `JRChartPlot`
  Sets the chart background color.

  Specified by:
    `setBackcolor` in interface `JRChartPlot`

### getOrientation

    public org.jfree.chart.plot.PlotOrientation getOrientation()

  Description copied from interface: `JRChartPlot`
  Gets the plot orientation (horizontal or vertical).

  Specified by:
    `getOrientation` in interface `JRChartPlot`

### setOrientation

    public void setOrientation(org.jfree.chart.plot.PlotOrientation orientation)

  Description copied from interface: `JRChartPlot`
  Sets the plot orientation (horizontal or vertical).

  Specified by:
    `setOrientation` in interface `JRChartPlot`

### getBackgroundAlpha

    public float getBackgroundAlpha()

  Deprecated. Replaced by `getBackgroundAlphaFloat()`

  Specified by:
    `getBackgroundAlpha` in interface `JRChartPlot`

### setBackgroundAlpha

    public void setBackgroundAlpha(float BackgroundAlpha)

  Deprecated. Replaced by `setBackgroundAlpha(Float)`

  Specified by:
    `setBackgroundAlpha` in interface `JRChartPlot`

### getForegroundAlpha

    public float getForegroundAlpha()

  Deprecated. Replaced by `getForegroundAlphaFloat()`

  Specified by:
    `getForegroundAlpha` in interface `JRChartPlot`

### setForegroundAlpha

    public void setForegroundAlpha(float foregroundAlpha)

  Deprecated. Replaced by `setForegroundAlpha(Float)`

  Specified by:
    `setForegroundAlpha` in interface `JRChartPlot`

### getLabelRotation

    public double getLabelRotation()

  Deprecated. Replaced by `getLabelRotationDouble()`

  Specified by:
    `getLabelRotation` in interface `JRChartPlot`

### setLabelRotation

    public void setLabelRotation(double labelRotation)

  Deprecated. Replaced by `setLabelRotation(Double)`

  Specified by:
    `setLabelRotation` in interface `JRChartPlot`

### getBackgroundAlphaFloat

    public java.lang.Float getBackgroundAlphaFloat()

  Description copied from interface: `JRChartPlot`
  Gets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Specified by:
    `getBackgroundAlphaFloat` in interface `JRChartPlot`
  Returns:
    a float value between 0 and 1.

### setBackgroundAlpha

    public void setBackgroundAlpha(java.lang.Float BackgroundAlpha)

  Description copied from interface: `JRChartPlot`
  Sets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Specified by:
    `setBackgroundAlpha` in interface `JRChartPlot`

### getForegroundAlphaFloat

    public java.lang.Float getForegroundAlphaFloat()

  Description copied from interface: `JRChartPlot`
  Gets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Specified by:
    `getForegroundAlphaFloat` in interface `JRChartPlot`
  Returns:
    a float value between 0 and 1.

### setForegroundAlpha

    public void setForegroundAlpha(java.lang.Float foregroundAlpha)

  Description copied from interface: `JRChartPlot`
  Sets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Specified by:
    `setForegroundAlpha` in interface `JRChartPlot`

### getLabelRotationDouble

    public java.lang.Double getLabelRotationDouble()

  Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.

  Description copied from interface: `JRChartPlot`
  Gets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

  Specified by:
    `getLabelRotationDouble` in interface `JRChartPlot`

### setLabelRotation

    public void setLabelRotation(java.lang.Double labelRotation)

  Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.

  Description copied from interface: `JRChartPlot`
  Sets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

  Specified by:
    `setLabelRotation` in interface `JRChartPlot`

### getSeriesColors

    public java.util.SortedSet getSeriesColors()

  Returns a list of all the defined series colors. Every entry in the list is of type JRChartPlot.JRSeriesColor. If there are no defined series colors this method will return an empty list, not null.

  Specified by:
    `getSeriesColors` in interface `JRChartPlot`

### clearSeriesColors

    public void clearSeriesColors()

  Removes all defined series colors.

  Specified by:
    `clearSeriesColors` in interface `JRChartPlot`

### addSeriesColor

    public void addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)

  Adds the specified series color to the plot.

  Specified by:
    `addSeriesColor` in interface `JRChartPlot`

### setSeriesColors

    public void setSeriesColors(java.util.Collection colors)

  Description copied from interface: `JRChartPlot`
  Set the list of series colors.

  Specified by:
    `setSeriesColors` in interface `JRChartPlot`
  Parameters:
    `colors` - the list of series colors (`JRChartPlot.JRSeriesColor` instances}

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRChartPlot`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

### clone

    public java.lang.Object clone(JRChart parentChart)

  Specified by:
    `clone` in interface `JRChartPlot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com